Jifty::Script::Plugin(3)

NAME
Jifty::Script::Plugin - Create the skeleton of a Jifty plugin

SYNOPSIS
    jifty plugin --name NewPlugin
    jifty plugin --help
    jifty plugin --man

DESCRIPTION
Creates a skeleton of a new Jifty::Plugin.

  options

--name
    This script only takes one option, "--name", which is required; it is the name of the plugin to create; this will be prefixed with "Jifty::Plugin::" automatically. Jifty will create a directory with that name, and place all of the files it creates inside that directory.

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

METHODS

  run
Create a directory for the plugin, a skeleton directory structure, and a "Makefile.PL" for your plugin.